<template>
  <div class="col-md-8 col-lg-6 col-xl-5">
    <div class="card bg-pattern">

      <div class="card-body p-4">

        <div class="text-center w-75 m-auto">
          <div class="auth-logo">
            <a href="/" class="logo logo-dark text-center">
                                            <span class="logo-lg">
                                                <img src="/assets/images/logo-dark.png" alt="" height="22">
                                            </span>
            </a>

            <a href="/" class="logo logo-light text-center">
                                            <span class="logo-lg">
                                                <img src="/assets/images/logo-light.png" alt="" height="22">
                                            </span>
            </a>
          </div>
          <p class="text-muted mb-4 mt-3">У Вас нет аккаунта? Создайте Ваш аккаунт, это займет меньше минуты</p>
        </div>

        <form @submit.prevent="registration">
          <div class="form-group">
            <label for="emailaddress">Email</label>
            <input class="form-control" name="email" type="email"
                   id="emailaddress" required placeholder="Введите Ваш email"
                   v-model="form.email" :class="{'is-invalid': hasError}"
                   value=""/>
            <span class="invalid-feedback" role="alert" v-if="hasError">
                    <strong>{{ errors.emailExistsText }}</strong>
            </span>
          </div>
          <div class="form-group">
            <label for="password">Пароль</label>
            <input class="form-control" name="password" type="password" required id="password" placeholder="Введите Ваш пароль" v-model="form.password"/>
          </div>
          <div class="form-group">
            <label for="confirm_password">Повторите пароль</label>
            <input class="form-control"
                   name="confirm_password" type="password" required id="confirm_password" placeholder="Введите Ваш пароль" />
          </div>
          <div class="form-group">
            <div class="custom-control custom-checkbox">
              <input type="checkbox" class="custom-control-input" id="checkbox-signup">
              <label class="custom-control-label" for="checkbox-signup">I accept <a href="javascript: void(0);" class="text-dark">Terms and Conditions</a></label>
            </div>
          </div>
          <div class="form-group mb-0 text-center">
            <button class="btn btn-success btn-block"> Зарегистрироваться </button>
          </div>
        </form>

      </div> <!-- end card-body -->
    </div>
    <!-- end card -->

    <div class="row mt-3">
      <div class="col-12 text-center">
        <p class="text-white-50">Уже имеется аккаунт?  <NuxtLink to="/login" :class="'text-white ml-1'">
          <b>Войти</b>
        </NuxtLink></p>
      </div> <!-- end col -->
    </div>
    <!-- end row -->

  </div> <!-- end col -->
</template>

<script>
export default {
  auth: false,
  layout: 'login',
  data() {
    return {
      errors: {
        emailEmpty: '',
        emailNotCorrect: '',
        emailExists: false,
        emailExistsText: '',
        passwordEmpty: '',
        passwordConfirmEmpty: '',
        passwordShort: '',
        passwordNotEqualent: '',
      },
      form: {
        email: '',
        name: '',
        password: '',
      },
    }
  },
  computed:{
    hasError(){
      return this.errors.emailExists;
    }
  },
  methods: {
    registration() {
      this.$axios.post('/register', this.form)
        .then(resp => {
          if(resp.data.error !== undefined){
            this.errors.emailExistsText = resp.data.error;
            this.errors.emailExists = true;
          }
          this.$auth.setUserToken(resp.data.token)
            .then(() => this.$router.push('/dashboard'))
        })
    },
  }
}
</script>
